// emacs: this is -*- c++ -*-
//
//   @file    applgrid_utils.h        
//
//                   
//  
//   Copyright (C) 2016 M.Sutton (sutt@cern.ch)    
//
//   $Id: applgrid_utils.h, v0.0   Mon 25 Apr 2016 15:03:30 CEST sutt $


#ifndef  APPLGRID_UTILS_H
#define  APPLGRID_UTILS_H

#include "amconfig.h"

#ifdef HAVE_APPL

#include <vector>

namespace nnlo { 

void init_applgrid( const int& id, const std::string& gridname,  
		    const int nbins, const double* bins );

void fill_applgrid( const int& id, 
		    const double& x1, const double& x2, const double& Q2, 
		    const double& obs, 
		    const double* wt ); 

void term_applgrid( const int& id, int nweights );

void fill_ref_applgrid( const int& id, const double& obs, const double* wt );

}

#endif



#endif  // APPLGRID_UTILS_H 










